# ANTsXMM

A streamlined wrapper for [ANTsPyMM](https://github.com/ANTsX/ANTsPyMM) tailored to ingest BIDS-like structures generated by `antsxbids`.


![The ANTsXMM framework](docs/antsxmm_infographic.png)


See the [slides](docs/BIDS_ANTsPyMM_Seamless_Automation.pdf) for more information.

Documentation of functions [here](https://htmlpreview.github.io/?https://raw.githubusercontent.com/stnava/antsxmm/main/docs/antsxmm.html)


## Quick Start 


```bash 
antsxmm BIDS_TEST/ PROCESSED_OUTPUT/ --project PPMI --participant-label sub-211239  --session-label ses-20230405  --separator +
```

## Installation

```bash
pip install .
```

## Usage

```bash
# Process a BIDS directory
antsxmm BIDS_TEST/ PROCESSED_OUTPUT/ --project PPMI

# Force download templates
antsxmm BIDS_TEST/ PROCESSED_OUTPUT/ --project PPMI --dl-weights
```




## Testing 

Commands to run:

```bash
pip install -e .
pip install ".[test]"
pytest --cov=antsxmm --cov-report=term-missing tests/
echo "You can now run a specific subject:"
echo " antsxmm BIDS_TEST/ PROCESSED_OUTPUT/ --project PPMI \ 
    --participant-label sub-211239 --session-label ses-20230405 "
echo "=========================================================="
```


## versioning

Create a new semantic version tag (e.g., v0.2.0).

```bash
git tag v0.2.0
```
